%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%define testdir %{_datadir}/autotest/client/site_tests
%define eventdir %{_datadir}/autoqa/events
%define watcherdir %{_datadir}/autoqa/watchers
# TODO split python library into subpackage?

Name: autoqa
Summary: Automated quality assurance framework
Version: 0.6.1
Release: 1%{?dist}
Source: https://fedorahosted.org/released/%{name}/%{name}-%{version}.tar.gz
License: GPLv2+
Group: Applications/Internet
URL: https://fedorahosted.org/autoqa
Requires: autotest
Requires: koji
Requires: mod_wsgi
Requires: python-fedora
Requires: python-peak-util-symbols
Requires: httpd
# hashlib is packaged seperately in EPEL-5
%if 0%{?el5}
Requires: python-hashlib
Requires: python-wsgiref
%endif
BuildRequires: python2-devel
%if 0%{?fedora}
# Packages needed by 'make test' (not present in RHEL)
BuildRequires: python-virtualenv
BuildRequires: python-pip
BuildRequires: python-peak-util-symbols
BuildRequires: python-bunch
BuildRequires: python-urlgrabber
BuildRequires: python-fedora
BuildRequires: yum
BuildRequires: koji
%endif
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch


%description
The autoqa project to provides a basic framework for executing a series of
tests, the tests, and a series of watcher scripts designed to execute tests
under certain conditions.


%prep
%setup -q


%if 0%{?fedora}
%check
make test
%else
echo "Not running tests on non-fedora"
%endif


%build
make build PYTHON=%{__python}


%install
rm -rf $RPM_BUILD_ROOT
make install PREFIX=$RPM_BUILD_ROOT TEST_DIR=%{testdir} EVENT_DIR=%{eventdir} WATCHER_DIR=%{watcherdir} PYTHON=%{__python}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README LICENSE TODO conf/autoqa.cron
%dir %{_sysconfdir}/autoqa
%config(noreplace) %{_sysconfdir}/autoqa/autoqa.conf
%config(noreplace) %attr(0640,autoqa,autotest) %{_sysconfdir}/autoqa/fas.conf
%config %{_sysconfdir}/autoqa/repoinfo.conf
%config %{_sysconfdir}/autoqa/log_template.html
%config(noreplace) %{testdir}/rats_sanity/irb.cfg
%config(noreplace) %{_sysconfdir}/httpd/conf.d/autoqa-git-hook.conf
%config(noreplace) %{_sysconfdir}/httpd/conf.d/autoqa.conf
%dir %attr(0775,root,autotest) %{_localstatedir}/cache/autoqa
%{_bindir}/autoqa
%{_sbindir}/autoqa-git-hook.wsgi
%{testdir}
%{eventdir}
%{watcherdir}
%{_datadir}/autotest/client/bin/site_utils.py*
%{_datadir}/autotest/server/site_autotest.py*
%{_localstatedir}/www/error/autoqa/
%{python_sitelib}/autoqa*


%changelog
* Thu Aug 11 2011 Kamil Paral <kparal@redhat.com> - 0.6.1-1
 - Release of autoqa-0.6.1

* Thu Aug 04 2011 Martin Krizek <mkrizek@redhat.com> - 0.6.0-1
 - Release of autoqa-0.6.0

* Fri Jul 15 2011 James Laska <jlaska@redhat.com> - 0.5.1-1
 - Release of autoqa-0.5.1

* Thu Jun 27 2011 James Laska <jlaska@redhat.com> - 0.5.0-1
 - Release of autoqa-0.5.0

* Thu Jun 23 2011 James Laska <jlaska@redhat.com> - 0.5.0-0.3.pre
 - Pre-release of 0.5.0

* Mon Jun 13 2011 James Laska <jlaska@redhat.com> - 0.5.0-0.2.pre
 - Pre-release of 0.5.0

* Fri Jun 10 2011 James Laska <jlaska@redhat.com> - 0.5.0-0.1.pre
 - Pre-release of 0.5.0

* Thu Apr 28 2011 James Laska <jlaska@redhat.com> - 0.4.7-1
 - Release of autoqa-0.4.7

* Mon Apr 11 2011 James Laska <jlaska@redhat.com> - 0.4.6-1
 - Release of autoqa-0.4.6
